# pqxx::check_violation Class Reference
[Exception classes]

`#include <except.hxx>`

Inheritance diagram for pqxx::check_violation:

[legend]

List of all members.

## Public Member Functions
| check_violation (const std::string &err)
| check_violation (const std::string &err, const std::string &Q)

## Constructor & Destructor Documentation

pqxx::check_violation::check_violation | ( | const std::string & | err | ) | `[explicit]`

pqxx::check_violation::check_violation | ( | const std::string & | err,
|  | const std::string & | Q |
| ) |  |  |

The documentation for this class was generated from the following file:

- except.hxx